=== debian/changelog ===
htslib (1.10.2-5) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove default debian/gbp.conf
  * Install bgzip.1 manpage
  * Workaround issue with dh_missing

 -- Andreas Tille <tille@debian.org>  Mon, 03 Aug 2020 13:19:08 +0200

htslib (1.10.2-4) unstable; urgency=medium

  * d/control: Added Rules-Requires-Root: no
  * Exported cram_to_bam function to compile sambamba, borrowed from
    http://git.genenetwork.org/guix-bioinformatics/guix-bioinformatics
    htslib-add-cram_to_bam.patch

 -- Steffen Moeller <moeller@debian.org>  Sat, 04 Jul 2020 14:04:35 +0200

htslib (1.10.2-3) unstable; urgency=medium

  [ Andreas Tille ]
  * d/copyright: Add Upstream-Contact

  [ Michael R. Crusoe ]
  * Patch from upstream for big-endian systems. Closes: #947462
  * Mark htslib-tests as Multi-Arch: foreign
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * add Build-Depends-Package: libhts-dev to debian/libhts3.symbols
  * debian/rules: add hack to autoconf not forget MMAP with cross building
  * pass the same flags to test and install as build
  * debian/rules: match upstream's default flags
  * debian/libhts3.symbols: remove erronously exported symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 13 Feb 2020 19:25:04 +0100

htslib (1.10.2-2) unstable; urgency=medium

  * htslib-test: breaks+replaces libhts-private-dev
  * libhts3: breaks libtabixpp << 1.0.0-5

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 21 Dec 2019 14:15:05 -0700

htslib (1.10.2-1) unstable; urgency=medium

  * New upstream version
  * debian/source/options: ignore changes to aclocal.m4 config.h.in configure
  * debian/control: remove libhts-private-dev (Closes: #947066)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 20 Dec 2019 09:57:05 -0800
