=== debian/changelog ===
htslib (1.11-4) unstable; urgency=medium

  * libhts3: Breaks+Replaces: libhts-dev (<< 1.11-3). Closes: #978094

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 02 Jan 2021 16:28:22 +0100

htslib (1.11-3) unstable; urgency=medium

  [ Andreas Tille ]
  * No need to patch when using proper configure options
  * Install man5 as user rather than developer documentation
  * Fix description of tabix package
    Closes: #922860
  * Standards-Version: 4.5.1 (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Somehow installation of htslib dir has changed

  [ Michael R. Crusoe ]
  * debian/upstream/metadata: add new pre-print

 -- Andreas Tille <tille@debian.org>  Thu, 24 Dec 2020 10:34:35 +0100

htslib (1.11-2) unstable; urgency=medium

  * Enable plugins
    Closes: #971542
  * Add missing Depends: libcurl4-gnutls-dev, libdeflate-dev
  * Fix run-unit-test script
  * Fix autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 05 Oct 2020 09:30:04 +0200

htslib (1.11-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 15:29:49 +0200
