=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libssl-dev,
                zlib1g-dev,
 	       libdeflate-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/htslib
 Vcs-Git: https://salsa.debian.org/med-team/htslib.git
 Homepage: https://github.com/samtools/htslib
@@ -27,9 +27,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libhts-dev (<< 1.11-3)
 Breaks: python-pysam (<< 0.15~),
         python3-pysam (<< 0.15~),
-        libtabixpp (<< 1.0.0-5~)
+        libtabixpp (<< 1.0.0-5~),
+        libhts-dev (<< 1.11-3)
 Description: C library for high-throughput sequencing data formats
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
@@ -46,6 +48,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libhts3 (= ${binary:Version}),
+         libcurl4-gnutls-dev,
+         libdeflate-dev,
          liblzma-dev,
          zlib1g-dev,
          ${misc:Depends}
@@ -98,4 +102,5 @@
  chromosomal coordinates. Fast data retrieval also works over network if an URI
  is given as a file name.
  .
- This version of tabix is built from the HTSlib source.
+ This package is built from the HTSlib source, and provides the bgzip, htsfile,
+ and tabix tools.
