=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	cp -a test test_backup
 	# to help with cross building, otherwise MMAP might get turned off
 	export ac_cv_func_mmap_fixed_mapped=yes && autoconf && \
-	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3
+	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3 --enable-plugins --with-plugin-dir='$(libdir)/htslib' --with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'
 
 override_dh_auto_build-arch:
 	dh_auto_build -- \
@@ -83,6 +83,7 @@
 	dh_install --indep
 	sed -i 's/-ffile-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
 	sed -i 's/-fdebug-prefix-map=[^[:space:]]* //g' debian/htslib-test/usr/share/htslib-test/config.mk
+	sed -i 's#\.\./\.\./htslib/#htslib/#' `grep -Rl '../../htslib/' debian/htslib-test/*`
 
 override_dh_installdocs:
 	dh_installdocs
