## htslib 1.13+ds

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for htslib, a C library for high-throughput sequencing data formats.
 #
-#    Copyright (C) 2013-2020 Genome Research Ltd.
+#    Copyright (C) 2013-2021 Genome Research Ltd.
 #
 #    Author: John Marshall <jm18@sanger.ac.uk>
 #
@@ -77,6 +77,7 @@
 	test/plugins-dlhts \
 	test/sam \
 	test/test_bgzf \
+	test/test_expr \
 	test/test_kfunc \
 	test/test_kstring \
 	test/test_realn \
@@ -89,7 +90,8 @@
 	test/test-bcf-sr \
 	test/fuzz/hts_open_fuzzer.o \
 	test/test-bcf-translate \
-	test/test-parse-reg
+	test/test-parse-reg \
+	test/test_introspection
 
 BUILT_THRASH_PROGRAMS = \
 	test/thrash_threads1 \
@@ -103,19 +105,36 @@
 all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS) \
      htslib_static.mk htslib-uninstalled.pc
 
+ALL_CPPFLAGS = -I. $(CPPFLAGS)
+
+# Usually htscodecs.mk is generated by running configure or config.status,
+# but if those aren't used create a default here.
+htscodecs.mk:
+	echo '# Default htscodecs.mk generated by Makefile' > $@
+	echo 'include $$(HTSPREFIX)htscodecs_bundled.mk' >> $@
+
+srcdir = .
+srcprefix =
 HTSPREFIX =
 include htslib_vars.mk
+include htscodecs.mk
 
 # If not using GNU make, you need to copy the version number from version.sh
 # into here.
-PACKAGE_VERSION := $(shell ./version.sh)
+PACKAGE_VERSION := $(shell $(srcdir)/version.sh)
 
 LIBHTS_SOVERSION = 3
-MACH_O_COMPATIBILITY_VERSION = $(LIBHTS_SOVERSION)
+
+# Version numbers for the Mac dynamic library.  Note that the leading 3
+# is not strictly necessary and should be removed the next time
+# LIBHTS_SOVERSION is bumped (see #1144 and
+# https://developer.apple.com/library/archive/documentation/DeveloperTools/Conceptual/DynamicLibraries/100-Articles/DynamicLibraryDesignGuidelines.html#//apple_ref/doc/uid/TP40002013-SW23)
+MACH_O_COMPATIBILITY_VERSION = 3.1.13
+MACH_O_CURRENT_VERSION = 3.1.13
 
 # $(NUMERIC_VERSION) is for items that must have a numeric X.Y.Z string
 # even if this is a dirty or untagged Git working tree.
-NUMERIC_VERSION := $(shell ./version.sh numeric)
+NUMERIC_VERSION := $(shell $(srcdir)/version.sh numeric)
 
 # Force version.h to be remade if $(PACKAGE_VERSION) has changed.
 version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))
@@ -130,18 +149,24 @@
 	@echo PACKAGE_VERSION = $(PACKAGE_VERSION)
 	@echo NUMERIC_VERSION = $(NUMERIC_VERSION)
 
+config_vars.h:
+	echo '#define HTS_CC "$(CC)"' > $@
+	echo '#define HTS_CPPFLAGS "$(CPPFLAGS)"' >> $@
+	echo '#define HTS_CFLAGS "$(CFLAGS)"' >> $@
+	echo '#define HTS_LDFLAGS "$(LDFLAGS)"' >> $@
+	echo '#define HTS_LIBS "$(LIBS)"' >> $@
+
 .SUFFIXES: .bundle .c .cygdll .dll .o .pico .so
 
 .c.o:
-	$(CC) $(CFLAGS) -I. $(CPPFLAGS) -c -o $@ $<
+	$(CC) $(CFLAGS) $(ALL_CPPFLAGS) -c -o $@ $<
 
 .c.pico:
-	$(CC) $(CFLAGS) -I. $(CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<
+	$(CC) $(CFLAGS) $(ALL_CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<
 
 
 LIBHTS_OBJS = \
 	kfunc.o \
-	knetfile.o \
 	kstring.o \
 	bcf_sr_sort.o \
 	bgzf.o \
@@ -149,8 +174,8 @@
 	faidx.o \
 	header.o \
 	hfile.o \
-	hfile_net.o \
 	hts.o \
+	hts_expr.o \
 	hts_os.o\
 	md5.o \
 	multipart.o \
@@ -172,13 +197,12 @@
 	cram/cram_external.o \
 	cram/cram_index.o \
 	cram/cram_io.o \
-	cram/cram_samtools.o \
 	cram/cram_stats.o \
 	cram/mFILE.o \
 	cram/open_trace_file.o \
 	cram/pooled_alloc.o \
-	cram/rANS_static.o \
 	cram/string_alloc.o \
+	$(HTSCODECS_OBJS) \
 	$(NONCONFIGURE_OBJS)
 
 # Without configure we wish to have a rich set of default figures,
@@ -204,7 +228,6 @@
 textutils_internal_h = textutils_internal.h $(htslib_kstring_h)
 thread_pool_internal_h = thread_pool_internal.h $(htslib_thread_pool_h)
 
-
 # To be effective, config.mk needs to appear after most Makefile variables are
 # set but before most rules appear, so that it can both use previously-set
 # variables in its own rules' prerequisites and also update variables for use
@@ -218,6 +241,9 @@
 # but if those aren't used create a default config.h here.
 config.h:
 	echo '/* Default config.h generated by Makefile */' > $@
+	echo '#ifndef _XOPEN_SOURCE' >> $@
+	echo '#define _XOPEN_SOURCE 600' >> $@
+	echo '#endif' >> $@
 	echo '#define HAVE_LIBBZ2 1' >> $@
 	echo '#define HAVE_LIBLZMA 1' >> $@
 	echo '#ifndef __APPLE__' >> $@
@@ -230,7 +256,7 @@
 # on htslib.pc.in listed, as if that file is newer the usual way to regenerate
 # this target is via configure or config.status rather than this rule.
 htslib.pc.tmp:
-	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' htslib.pc.in > $@
+	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' $(srcprefix)htslib.pc.in > $@
 
 # Create a makefile fragment listing the libraries and LDFLAGS needed for
 # static linking.  This can be included by projects that want to build
@@ -293,7 +319,7 @@
 # includes this project's build directory).
 
 libhts.dylib: $(LIBHTS_OBJS)
-	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(NUMERIC_VERSION) -compatibility_version $(MACH_O_COMPATIBILITY_VERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) $(LIBS)
+	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(MACH_O_CURRENT_VERSION) -compatibility_version $(MACH_O_COMPATIBILITY_VERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) $(LIBS)
 	ln -sf $@ libhts.$(LIBHTS_SOVERSION).dylib
 
 cyghts-$(LIBHTS_SOVERSION).dll libhts.dll.a: $(LIBHTS_OBJS)
@@ -307,26 +333,10 @@
 hts-object-files: $(LIBHTS_OBJS)
 	touch $@
 
+# On Unix dlopen("libhts.so.NN", RTLD_LAZY) may default to RTLD_LOCAL.
+# Hence plugins need to link to (shared) libhts.so.NN themselves, as they
+# may not be able to access libhts symbols via the main program's libhts
+# if that was dynamically loaded without an explicit RTLD_GLOBAL.
 %.so: %.pico libhts.so
 	$(CC) -shared -Wl,-E $(LDFLAGS) -o $@ $< libhts.so $(LIBS) -lpthread
 
-%.bundle: %.o libhts.dylib
-	$(CC) -bundle -Wl,-undefined,dynamic_lookup $(LDFLAGS) -o $@ $< libhts.dylib $(LIBS)
-
-%.cygdll: %.o libhts.dll.a
-	$(CC) -shared $(LDFLAGS) -o $@ $< libhts.dll.a $(LIBS)
-
-%.dll: %.o hts.dll.a
-	$(CC) -shared $(LDFLAGS) -o $@ $< hts.dll.a $(LIBS)
-
-
-bgzf.o bgzf.pico: bgzf.c config.h $(htslib_hts_h) $(htslib_bgzf_h) $(htslib_hfile_h) $(htslib_thread_pool_h) $(htslib_hts_endian_h) cram/pooled_alloc.h $(hts_internal_h) $(htslib_khash_h)
-errmod.o errmod.pico: errmod.c config.h $(htslib_hts_h) $(htslib_ksort_h) $(htslib_hts_os_h)
-kstring.o kstring.pico: kstring.c config.h $(htslib_kstring_h)
-knetfile.o knetfile.pico: knetfile.c config.h $(htslib_hts_log_h) $(htslib_knetfile_h)
-header.o header.pico: header.c config.h $(textutils_internal_h) $(header_h)
-hfile.o hfile.pico: hfile.c config.h $(htslib_hfile_h) $(hfile_internal_h) $(htslib_kstring_h) $(hts_internal_h) $(htslib_khash_h)
-hfile_gcs.o hfile_gcs.pico: hfile_gcs.c config.h $(htslib_hts_h) $(htslib_kstring_h) $(hfile_internal_h)
-hfile_libcurl.o hfile_libcurl.pico: hfile_libcurl.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)
-hfile_net.o hfile_net.pico: hfile_net.c config.h $(hfile_internal_h) $(htslib_knetfile_h)
-hfile_s3_write.o hfile_s3_write.pico: hfile_s3_write.c config.h $(hfile_internal_h) $(htslib_hts_h) $(htslib_kstring_h) $(htslib_khash_h)
