=== debian/changelog ===
htslib (1.13+ds-2build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:33:39 +0000

htslib (1.13+ds-2) unstable; urgency=medium

  * d/control: add myself to uploaders
  * d/control: libhts-dev breaks samtools (<< 1.13~)
  * d/control: refresh libhts-dev Breaks+Replaces
  * d/control: libhts-dev breaks ivar (<< 1.3.1~)

 -- Étienne Mollier <emollier@debian.org>  Fri, 27 Aug 2021 22:02:59 +0200

htslib (1.13+ds-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * added libhtscodecs-dev as build-dependency
  * remove htscodecs folder from source tree (following advice
    by John Marshall - many thanks!)
  * Builds fine with autoconf > 2.71 (Closes: #978835).

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Do not parse d/changelog (routine-update)
  * Remove constraints unnecessary since buster:
    + libhts3: Drop versioned constraint on python-pysam in Breaks.

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2021 18:33:04 +0200
