=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: htslib
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Michael R. Crusoe <crusoe@debian.org>,
-           Steffen Moeller <moeller@debian.org>
+           Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -13,8 +15,9 @@
                liblzma-dev,
                libssl-dev,
                zlib1g-dev,
-	       libdeflate-dev
-Standards-Version: 4.5.1
+	       libdeflate-dev,
+               libhtscodecs-dev (>= 1.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/htslib
 Vcs-Git: https://salsa.debian.org/med-team/htslib.git
 Homepage: https://github.com/samtools/htslib
@@ -27,11 +30,12 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libhts-dev (<< 1.11-3)
-Breaks: python-pysam (<< 0.15~),
-        python3-pysam (<< 0.15~),
+Replaces: libhts-dev (<< 1.13~)
+Breaks: python3-pysam (<< 0.15~),
         libtabixpp (<< 1.0.0-5~),
-        libhts-dev (<< 1.11-3)
+        libhts-dev (<< 1.13~),
+        samtools (<< 1.13~),
+        ivar (<< 1.3.1~)
 Description: C library for high-throughput sequencing data formats
  HTSlib is an implementation of a unified C library for accessing common file
  formats, such as SAM (Sequence Alignment/Map), CRAM and VCF (Variant Call
