=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,12 @@
 export DEB_CFLAGS_MAINT_APPEND
 export DEB_LDFLAGS_MAINT_APPEND
 
+
 %:
 	dh $@
+
+hello:
+	echo "Upstream version: $(DEB_VERSION_UPSTREAM)"
 
 override_dh_auto_configure:
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
@@ -26,14 +30,14 @@
 	cp -a test test_backup
 	# to help with cross building, otherwise MMAP might get turned off
 	export ac_cv_func_mmap_fixed_mapped=yes && autoconf && \
-	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3 --enable-plugins --with-plugin-dir='$(libdir)/htslib' --with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'
+	dh_auto_configure -- --enable-libcurl --enable-gcs --enable-s3 --enable-plugins --with-plugin-dir='$(libdir)/htslib' --with-external-htscodecs --with-plugin-path='/usr/local/lib/htslib:/usr/local/libexec/htslib:$(plugindir)'
 
 override_dh_auto_build-arch:
 	dh_auto_build -- \
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
 	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
-	  PACKAGE_VERSION="$(DEB_VERSION)" \
+	  PACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)" \
 	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 # re-try later	  LDLIBS=-lhts \
 
@@ -47,7 +51,7 @@
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
 	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
-	  PACKAGE_VERSION="$(DEB_VERSION)" \
+	  PACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)" \
 	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 	# restore clean copy of test dir before dh_install is run
 	# This should not be done earlier since dh_auto_install contains some unconditional removals
@@ -66,7 +70,7 @@
 	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
 	  CPPFLAGS="-I. -DSAMTOOLS=1 $$(dpkg-buildflags --get CPPFLAGS)" \
 	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
-	  PACKAGE_VERSION="$(DEB_VERSION)" \
+	  PACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)" \
 	  libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	  || \
 	  if find . -name "FAIL*" > /dev/null ; then \
